4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.RepositoryClient

Classes: RepositoryClient

## Classes

class RepositoryClient(Ft.Server.Client.Core.ContainerClient.ContainerClient)
Implementation for a repository instance

### Methods

__init__(self, connection)
addXsltStrobe(self, path)
Register an XSLT file to be run on the strobe signal
createSession(self, key=None, ttl=0)
Create a new session from this connection. If key is specified, then the session ID is generated from this key, and whenever the session is accessed, the key must be given or the session will be invalidated.
ttl - session time to live, in seconds.
If ttl is 0, the driver default is used (usually 15 minutes).
deleteSessionData(self, key)
Delete Session Data
fetchUserOrGroupByName(self, name)
Fetch a user or a group by name (not full path)
getAllDocumentDefinitionPaths(self)
Get a list of Paths for all of the document definitions in the system
getAllGroupNames(self)
Get a list of group names for all of the users in the system
getAllGroupPaths(self)
Get a list of Paths for all of the groups in the system
getAllUserNames(self)
Get a list of user names for all of the users in the system
getAllUserPaths(self)
Get a list of Paths for all of the users in the system
getCommand(self, cmdName)
Get a command object by its name. The name should be dot-separated, like 4ss_manager.init
getCurrentUser(self)
getSessionData(self, key)
Get Session Data
getSessionExpiration(self)
Get The expiration time of this session
getUserName(self)
############################################## #Transaction Interfaces ##############################################
hasSession(self)
See if this connection is in a session
invalidateSession(self)
Invalidate this session.
purgeTemporaryResources(self)
Remove from the repository all temporary resources that have outlived their lifetimes
reindex(self)
Performs a text-reindex on all metadocuments whose document definiton specifies a full text index
reloadModule(self, module)
Reload a Python module
searchDocuments(self, searchString)
Returns the paths to all metadocuments (whose document definitions specify that they are to be text indexed) that match the specified Swish query string
setSessionData(self, key, value)
Set Session Data
txCommit(self)
Commit the transaction associated w/ this repository instance
txRollback(self)
Rollback the transaction associated w/ this repository instance

### Methods inherited from class Ft.Server.Client.Core.ContainerClient.ContainerClient

__contains__, __getitem__, __getslice__, __len__, createContainer, createDocument, createGroup, createRawFile, createUriReferenceFile, createUser, createXPathDocumentDefinition, createXsltDocumentDefinition, deleteResource, get, has_key, index, items, iteritems, iterkeys, itervalues, keys, setPathTemporary, values

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate